#
# spec file for package python3-chai
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-chai
Version:        1.1.1
Release:        3.1
Summary:        Easy to use mocking/stub framework
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/agoragames/chai
Source:         https://files.pythonhosted.org/packages/source/c/chai/chai-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Chai provides a very easy to use api for mocking/stubbing your python
objects, patterned after the Mocha library for Ruby.

%prep
%setup -q -n chai-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sun Feb 14 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.1.1:
  * Added support for side_effect in spies.
  * Fixed spies on classmethods.
* Wed Jan 28 2015 arun@gmx.de
- update to version 1.1.0:
  * Added support for PyPy
* Tue Jan 13 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.0.1:
  * Fixes tests and unbound method support in Python 3
  * https://github.com/agoragames/chai/pull/23 @pypingou
  * https://github.com/agoragames/chai/pull/24 @GraylinKim
- changes from version 1.0.0:
  * Implemented spies.
  * 1.0 release, Chai is largely feature complete.
* Wed Aug  6 2014 toddrme2178@gmail.com
- Initial version
